Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.wsrp.controls
Interface ProducerRegistryControl

    public interface ProducerRegistryControl

Method Summary
`SortablePagedResult<BookEntry>` | `findBooks(int pageSize, FindRequest criteria, String registry, ServletContext sContext, ResourceContext rContext)` Gets a paged result of books matching a particular search string.
`SortablePagedResult<PageEntry>` | `findPages(int pageSize, FindRequest criteria, String registry, ServletContext sContext, ResourceContext rContext)` Gets a paged result of pages matching a particular search string.
`SortablePagedResult<PortletEntry>` | `findPortlets(int pageSize, FindRequest criteria, String registry, ServletContext sContext, ResourceContext rContext)` Gets a paged result of portlets matching a particular search string.
`SortablePagedResult<ProducerEntry>` | `findProducers(int pageSize, FindRequest criteria, String registry, ServletContext sContext, ResourceContext rContext)` Gets a paged result of producers matching a particular search string.
`Map<String,RegistryConfig>` | `getAllRegistries(ServletContext sContext, ResourceContext rContext)` Gets a map of all registry entries for the supplied ServletContext.
`IServiceDescription` | `getServiceDescription(String wsdlUrl, HttpServletResponse response, ServletContext sContext, ResourceContext rContext)` Gets a service description for a producer given a WSDL URL.

Method Detail

### getAllRegistries

    Map<String,RegistryConfig> getAllRegistries(ServletContext sContext,
                                                ResourceContext rContext)

  Gets a map of all registry entries for the supplied ServletContext.

  Parameters
    `sContext` - the servlet context.
    `rContext` - the resource context.
  Returns
    a map with registry IDs as the key, and RegistryConfig objects for values.

### findProducers

    SortablePagedResult<ProducerEntry> findProducers(int pageSize,
                                                     FindRequest criteria,
                                                     String registry,
                                                     ServletContext sContext,
                                                     ResourceContext rContext)
                                                     throws FinderException

  Gets a paged result of producers matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### findPortlets

    SortablePagedResult<PortletEntry> findPortlets(int pageSize,
                                                   FindRequest criteria,
                                                   String registry,
                                                   ServletContext sContext,
                                                   ResourceContext rContext)
                                                   throws FinderException

  Gets a paged result of portlets matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### findPages

    SortablePagedResult<PageEntry> findPages(int pageSize,
                                             FindRequest criteria,
                                             String registry,
                                             ServletContext sContext,
                                             ResourceContext rContext)
                                             throws FinderException

  Gets a paged result of pages matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### findBooks

    SortablePagedResult<BookEntry> findBooks(int pageSize,
                                             FindRequest criteria,
                                             String registry,
                                             ServletContext sContext,
                                             ResourceContext rContext)
                                             throws FinderException

  Gets a paged result of books matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### getServiceDescription

    IServiceDescription getServiceDescription(String wsdlUrl,
                                              HttpServletResponse response,
                                              ServletContext sContext,
                                              ResourceContext rContext)
                                              throws ProducerManagerException

  Gets a service description for a producer given a WSDL URL.

  Parameters
    `wsdlUrl` - the WSDL URL of the producer
    `response` - the HttpServletResponse
    `sContext` - the servlet context
    `rContext` - the resource context
  Returns
    the service description for the specified WSDL URL.
  Throws
    `ProducerManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved